# event-consumer-values.yaml
# Reference values file for the Event Consumer Service (Full Deployment)
# Replace placeholders with your environment-specific values before use.
#
image:
  pullSecrets:
    - name: ngcpull-secret

# Override the default secret name (event-consumer-env) to use our shared secret
envSecretName: event-services-env

# # Storage permissions (added during authentication setup)
# # See the Authentication guide for details.
# permissions:
#   content: |-
#     storage_permissions_endpoints:
#       - http://storage-service.storage-apis.svc.cluster.local:8012

# # smoke tests
# tests:
#   enabled: true
#   auth:
#     microsoftUrl:
#       valueFrom:
#         secretKeyRef:
#           name: smoke-test-auth
#           key: microsoft-url
#     credentials:
#       valueFrom:
#         secretKeyRef:
#           name: smoke-test-auth
#           key: credentials
#     scope:
#       valueFrom:
#         secretKeyRef:
#           name: smoke-test-auth
#           key: scope
# smokeTest:
#   image:
#     pullSecrets:
#       - name: ngcpull-secret

